//Itana is copyright 2000 by Jason Winnebeck.  You may freely distribute this
//game in its original archive.  If us wish to use code from Itana feel free
//to do so.  If you do a mention in the credits or a mail to
//gillius@webzone.net would be appreciated.

#ifndef _PREFMENUS_H_
#define _PREFMENUS_H_

#include "Itana.h"
#include "MenuHelpers.h"

int d_getkey_proc(int msg, DIALOG *d, int c);

DIALOG setControls[] =
{
   /* (proc)           (x)  (y) (w)  (h) (fg) (bg) (key) (flags) (d1) (d2) (dp)                                  (dp2) (dp3) */
   { d_billwin_proc,   0,   0,  288, 64, 0,   0,   0,    0,      0,   0,   "Setting Controls",                   NULL, NULL },
   { d_billctext_proc, 144, 24, 16,  16, 0,   0,   0,    0,      0,   0,   "Please press the key you want for:", NULL, NULL },
   { d_billctext_proc, 144, 48, 16,  16, 0,   0,   0,    0,      0,   0,   NULL,                                 NULL, NULL },
   { d_getkey_proc,    0,   0,  0,   0,  0,   0,   0,    0,      0,   0,   NULL,                                 NULL, NULL },
   { d_yield_proc,     0,   0,  0,   0,  0,   0,   0,    0,      0,   0,   NULL,                                 NULL, NULL },
   { NULL,             0,   0,  0,   0,  0,   0,   0,    0,      0,   0,   NULL,                                 NULL, NULL }
};

DIALOG controlsDialog[] =
{
   /* (proc)               (x)  (y)  (w)  (h)  (fg) (bg) (key) (flags) (d1) (d2) (dp)                 (dp2)   (dp3) */
   { d_billwin_proc,       0,   0,   456, 432, 0,   0,   0,    0,      0,   0,   (void*)"Set Controls",      NULL,   NULL },
   { d_ex_billbutton_proc, 441, 3,   13,  12,  0,   0,   0,    0,      0,   0,   (void*)"X",                 setRet, NULL },
   { d_billgroupbox_proc,  8,   24,  216, 160, 0,   0,   0,    0,      0,   0,   (void*)"Movement",          NULL,   NULL },
   { d_billgroupbox_proc,  232, 24,  216, 160, 0,   0,   0,    0,      0,   0,   (void*)"Ornon Specific",    NULL,   NULL },
   { d_billgroupbox_proc,  8,   192, 216, 96,  0,   0,   0,    0,      0,   0,   (void*)"Weapons",           NULL,   NULL },
   { d_billgroupbox_proc,  232, 192, 216, 96,  0,   0,   0,    0,      0,   0,   (void*)"Energy Management", NULL,   NULL },
   { d_billgroupbox_proc,  8,   296, 440, 96,  0,   0,   0,    0,      0,   0,   (void*)"Miscellaneous",     NULL,   NULL },
   { d_billctext_proc,     184, 208, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Current",           NULL,   NULL },
   { d_billctext_proc,     80,  208, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Click to change",   NULL,   NULL },
   { d_billctext_proc,     408, 208, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Current",           NULL,   NULL },
   { d_billctext_proc,     304, 208, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Click to change",   NULL,   NULL },
   { d_billctext_proc,     184, 312, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Current",           NULL,   NULL },
   { d_billctext_proc,     80,  312, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Click to change",   NULL,   NULL },
   { d_billctext_proc,     408, 312, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Current",           NULL,   NULL },
   { d_billctext_proc,     304, 312, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Click to change",   NULL,   NULL },
   { d_billctext_proc,     184, 40,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Current",           NULL,   NULL },
   { d_billctext_proc,     80,  40,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Click to change",   NULL,   NULL },
   { d_billctext_proc,     408, 40,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Current",           NULL,   NULL },
   { d_billctext_proc,     304, 40,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Click to change",   NULL,   NULL },
   { d_ex_billbutton_proc, 256, 56,  88,  24,  0,   0,   0,    0,      0,  19,   (void*)"Fire Up",           setRet,   NULL },
   { d_billctext_proc,     408, 64,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"W",                 NULL,   NULL },
   { d_ex_billbutton_proc, 256, 88,  88,  24,  0,   0,   0,    0,      0,  21,   (void*)"Fire Down",         setRet,   NULL },
   { d_billctext_proc,     408, 96,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"S",                 NULL,   NULL },
   { d_ex_billbutton_proc, 256, 152, 88,  24,  0,   0,   0,    0,      0,  23,   (void*)"Fire Right",        setRet,   NULL },
   { d_billctext_proc,     408, 160, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"D",                 NULL,   NULL },
   { d_ex_billbutton_proc, 256, 120, 88,  24,  0,   0,   0,    0,      0,  25,   (void*)"Fire Left",         setRet,   NULL },
   { d_billctext_proc,     408, 128, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"A",                 NULL,   NULL },
   { d_ex_billbutton_proc, 248, 224, 128, 24,  0,   0,   0,    0,      0,  27,   (void*)"Shields->Energy",   setRet,   NULL },
   { d_billctext_proc,     408, 232, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"Z",                 NULL,   NULL },
   { d_ex_billbutton_proc, 248, 256, 128, 24,  0,   0,   0,    0,      0,  29,   (void*)"Energy->Shields",   setRet,   NULL },
   { d_billctext_proc,     408, 264, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"X",                 NULL,   NULL },
   { d_ex_billbutton_proc, 32,  328, 88,  24,  0,   0,   0,    0,      0,  31,   (void*)"Dock",              setRet,   NULL },
   { d_billctext_proc,     184, 336, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"C",                 NULL,   NULL },
   { d_ex_billbutton_proc, 256, 328, 88,  24,  0,   0,   0,    0,      0,  33,   (void*)"Radar",             setRet,   NULL },
   { d_billctext_proc,     408, 336, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"V",                 NULL,   NULL },
   { d_ex_billbutton_proc, 32,  56,  88,  24,  0,   0,   0,    0,      0,  35,   (void*)"Accelerate",        setRet,   NULL },
   { d_billctext_proc,     184, 64,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"UP",                NULL,   NULL },
   { d_ex_billbutton_proc, 32,  88,  88,  24,  0,   0,   0,    0,      0,  37,   (void*)"Left",              setRet,   NULL },
   { d_billctext_proc,     184, 96,  16,  16,  0,   0,   0,    0,      0,   0,   (void*)"LEFT",              NULL,   NULL },
   { d_ex_billbutton_proc, 32,  120, 88,  24,  0,   0,   0,    0,      0,  39,   (void*)"Right",             setRet,   NULL },
   { d_billctext_proc,     184, 128, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"RIGHT",             NULL,   NULL },
   { d_ex_billbutton_proc, 32,  152, 88,  24,  0,   0,   0,    0,      0,  41,   (void*)"Afterburn",         setRet,   NULL },
   { d_billctext_proc,     184, 160, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"SHIFT",             NULL,   NULL },
   { d_ex_billbutton_proc, 32,  224, 88,  24,  0,   0,   0,    0,      0,  43,   (void*)"Fire",              setRet,   NULL },
   { d_billctext_proc,     184, 232, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"CTRL",              NULL,   NULL },
   { d_ex_billbutton_proc, 32,  256, 88,  24,  0,   0,   0,    0,      0,  45,   (void*)"Special",           setRet,   NULL },
   { d_billctext_proc,     184, 264, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"ALT",               NULL,   NULL },
   { d_ex_billbutton_proc, 32,  360, 88,  24,  0,   0,   0,    0,      0,  47,   (void*)"Scores",            setRet,   NULL },
   { d_billctext_proc,     184, 368, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"TAB",               NULL,   NULL },
   { d_ex_billbutton_proc, 256, 360, 88,  24,  0,   0,   0,    0,      0,  49,   (void*)"Console",           setRet,   NULL },
   { d_billctext_proc,     408, 368, 16,  16,  0,   0,   0,    0,      0,   0,   (void*)"~",                 NULL,   NULL },
   { d_ex_billbutton_proc, 136, 400, 88,  24,  0,   0,   'o',  0,      0,   0,   (void*)"&OK",               setRet, NULL },
   { d_check_exit,         0,   0,   0,   0,   0,   0,   0,    0,      0,   0,   NULL,                NULL,   NULL },
   { d_yield_proc,         0,   0,   0,   0,   0,   0,   0,    0,      0,   0,   NULL,                NULL,   NULL },
   { NULL,                 0,   0,   0,   0,   0,   0,   0,    0,      0,   0,   NULL,                NULL,   NULL }
};

const int CONTROLS_START = 19;

#endif